@setlocal

@rem MySQL DB

@echo Prerequisites before setting up the QA Navigator DB:
@echo - MySQL installed
@echo - MySQL added to PATH

@set QNDB=QNdata
@set DBPW=QANPass

@if $%2 EQU $ goto nopara

@pause

@set myUId=-u%1
@set myPW=-p%2

@if $%3 EQU $ goto dbdef
@set QNDB=%3
:dbdef

@if $%4 EQU $ goto pwdef
@set DBPW=%2
:pwdef

@echo Database is '%QNDB%'

@echo.
@echo Creating the DB...
mysqladmin %myUId% %myPW% -v drop %QNDB%
mysqladmin %myUId% %myPW% -v create %QNDB%
@if %errorlevel% NEQ 0 goto err

@echo.
@echo Create XML tables...
mysql %myUId% %myPW% -D %QNDB% < createXtblsMy.sql
@if %errorlevel% NEQ 0 goto err


@echo.
@echo Grant access...
mysql %myUId% %myPW% --execute "GRANT USAGE ON %QNDB%.* TO QANuser@'%%' IDENTIFIED BY '%DBPW%'"
mysql %myUId% %myPW% --execute "GRANT USAGE ON %QNDB%.* TO QANuser@localhost IDENTIFIED BY '%DBPW%'"
@if %errorlevel% NEQ 0 goto err

@echo.
@echo Set rights...
mysql %myUId% %myPW% -D mysql < initXUserMy.sql
@if %errorlevel% NEQ 0 goto err

@echo.
@echo Done.
@pause

@goto end

:nopara
@echo Parameters for this batch:
@echo ^<MySQL User^> ^<MySQL Password^> [^<QAN Database Name^> ^<QAN Password^>]
@pause 
@goto end

:err
@echo Error (%errorlevel%), processing canceled.
@pause 
:end

@endlocal
