//---------------------------------------------------------
// RG XML DB Tools Collection
// Copyright © 2003,2004 Ronald D. Grindle
//---------------------------------------------------------

package com.qanavigation.XMLDB;

import java.util.ArrayList;

import com.qanavigation.Basics.Rslt;
import com.qanavigation.Basics.RsltTable;

/**
 * List of childs found in the DB for Node
 */
class XMLDBChildNodeLst extends Rslt
{

	private ArrayList<String> m_List;
	private XMLDBbasics m_xDB;

	/**
	 * 
	 * @param p_xDB
	 * @param p_ParentUID
	 */
	public XMLDBChildNodeLst(  XMLDBbasics p_xDB, String p_ParentUID ) {

		int i, x;

		RsltTable nodeTbl;

		m_xDB = p_xDB;

		String tblName = XMLDBDefs.c_TblNmNode;

		String[] cols = { XMLDBDefs.c_ColNmUID };

		String appx = "WHERE " + XMLDBDefs.c_ColNmParentUID + " = '" + p_ParentUID + "'";

		nodeTbl = m_xDB.m_DB.select( tblName, cols, appx );

		if( nodeTbl.isOK( true ) ) {
    
			x = nodeTbl.getRowNum();

			//m_List = new StringCollection( x );

			m_List = new ArrayList<String>();

			for( i = 0; i < x; ++i ) {

				m_List.add( nodeTbl.getCell( 0, i ));
			}
		}

		//'empty' is also OK
		if( nodeTbl.isOK( true ) ) {

			setOK();
		}
		else {

			setRsltStat( nodeTbl );
		}
	}
	
	/**
	 * 
	 * @return
	 */
	public int deleteRemNodes() {

		int i;
		int x = m_List.size();
		
		String UID;

		/*
		String whereStmt;

		String tblName = XMLDBDefs.c_TblNmNode;

		String rawStmt = XMLDBDefs.c_ColNmUID + " = '";

		*/

		for( i = 0; i < x; ++i ) {
			
			UID = m_List.get(i);
			
			m_xDB.deleteNode( UID );

			/*
			whereStmt = rawStmt + UID + "'";

			m_DB.delete( tblName, whereStmt );
			*/
		}

		return x;
	}
	
	/**
	 * 
	 * @param UID
	 */
	public void removeFromLst( String UID ) {

		int ix;
		
		ix = m_List.indexOf( UID );
		
		if( ix > -1 ) {

			m_List.remove( ix );			
		}
	}
}

